<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>Uses of Interface import hk.quantr.mxgraph.canvas.mxICanvas (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface import hk.quantr.mxgraph.canvas.mxICanvas (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../mxICanvas.html" title="interface in import hk.quantr.mxgraph.canvas">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Interface import hk.quantr.mxgraph.canvas.mxICanvas" class="title">Uses of Interface<br>import hk.quantr.mxgraph.canvas.mxICanvas</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="../mxICanvas.html" title="interface in import hk.quantr.mxgraph.canvas">mxICanvas</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#import hk.quantr.mxgraph.canvas">import hk.quantr.mxgraph.canvas</a></th>
<td class="colLast">
<div class="block">This package contains various implementations for painting a graph using
  different technologies, such as Graphics2D, HTML, SVG or VML.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#import hk.quantr.mxgraph.reader">import hk.quantr.mxgraph.reader</a></th>
<td class="colLast">
<div class="block">This package contains the classes required to turn an encoded mxGraphView
  into an image using SAX and without having to create a graph model.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#import hk.quantr.mxgraph.swing">import hk.quantr.mxgraph.swing</a></th>
<td class="colLast">
<div class="block">This package contains the main component for JFC/Swing, namely the graph
  component and the outline component.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#import hk.quantr.mxgraph.swing.view">import hk.quantr.mxgraph.swing.view</a></th>
<td class="colLast">
<div class="block">This package contains all classes required for interaction, namely the
  mxCellEditor used for in-place editing and the mxInteractiveCanvas, which
  defines the requirements for a canvas that supports hit-detection on shapes.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#import hk.quantr.mxgraph.util">import hk.quantr.mxgraph.util</a></th>
<td class="colLast">
<div class="block">This package provides utility classes such as mxConstants, mxUtils, mxPoint
  and mxRectangle as well as all classes for custom events and the undo
  history.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#import hk.quantr.mxgraph.view">import hk.quantr.mxgraph.view</a></th>
<td class="colLast">
<div class="block">This package implements the graph component, represented by the mxGraph
  class.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="import hk.quantr.mxgraph.canvas">
<!--   -->
</a>
<h3>Uses of <a href="../mxICanvas.html" title="interface in import hk.quantr.mxgraph.canvas">mxICanvas</a> in <a href="../package-summary.html">import hk.quantr.mxgraph.canvas</a></h3>
<table class="useSummary">
<caption><span>Classes in <a href="../package-summary.html">import hk.quantr.mxgraph.canvas</a> that implement <a href="../mxICanvas.html" title="interface in import hk.quantr.mxgraph.canvas">mxICanvas</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxBasicCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxBasicCanvas</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a></span></code></th>
<td class="colLast">
<div class="block">An implementation of a canvas that uses Graphics2D for painting.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxHtmlCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxHtmlCanvas</a></span></code></th>
<td class="colLast">
<div class="block">An implementation of a canvas that uses HTML for painting.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxImageCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxImageCanvas</a></span></code></th>
<td class="colLast">
<div class="block">An implementation of a canvas that uses Graphics2D for painting.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxSvgCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxSvgCanvas</a></span></code></th>
<td class="colLast">
<div class="block">An implementation of a canvas that uses SVG for painting.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxVmlCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxVmlCanvas</a></span></code></th>
<td class="colLast">
<div class="block">An implementation of a canvas that uses VML for painting.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="import hk.quantr.mxgraph.reader">
<!--   -->
</a>
<h3>Uses of <a href="../mxICanvas.html" title="interface in import hk.quantr.mxgraph.canvas">mxICanvas</a> in <a href="../../reader/package-summary.html">import hk.quantr.mxgraph.reader</a></h3>
<table class="useSummary">
<caption><span>Fields in <a href="../../reader/package-summary.html">import hk.quantr.mxgraph.reader</a> declared as <a href="../mxICanvas.html" title="interface in import hk.quantr.mxgraph.canvas">mxICanvas</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxICanvas.html" title="interface in import hk.quantr.mxgraph.canvas">mxICanvas</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphViewReader.</span><code><span class="memberNameLink"><a href="../../reader/mxGraphViewReader.html#canvas">canvas</a></span></code></th>
<td class="colLast">
<div class="block">Holds the canvas to be used for rendering the graph.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../../reader/package-summary.html">import hk.quantr.mxgraph.reader</a> that return <a href="../mxICanvas.html" title="interface in import hk.quantr.mxgraph.canvas">mxICanvas</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../mxICanvas.html" title="interface in import hk.quantr.mxgraph.canvas">mxICanvas</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphViewImageReader.</span><code><span class="memberNameLink"><a href="../../reader/mxGraphViewImageReader.html#createCanvas(java.util.Map)">createCanvas</a></span>&#8203;(java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;attrs)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>abstract <a href="../mxICanvas.html" title="interface in import hk.quantr.mxgraph.canvas">mxICanvas</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphViewReader.</span><code><span class="memberNameLink"><a href="../../reader/mxGraphViewReader.html#createCanvas(java.util.Map)">createCanvas</a></span>&#8203;(java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;attrs)</code></th>
<td class="colLast">
<div class="block">Returns the canvas to be used for rendering.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../mxICanvas.html" title="interface in import hk.quantr.mxgraph.canvas">mxICanvas</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphViewReader.</span><code><span class="memberNameLink"><a href="../../reader/mxGraphViewReader.html#getCanvas()">getCanvas</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the canvas that is used for rendering the graph.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="import hk.quantr.mxgraph.swing">
<!--   -->
</a>
<h3>Uses of <a href="../mxICanvas.html" title="interface in import hk.quantr.mxgraph.canvas">mxICanvas</a> in <a href="../../swing/package-summary.html">import hk.quantr.mxgraph.swing</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../../swing/package-summary.html">import hk.quantr.mxgraph.swing</a> with parameters of type <a href="../mxICanvas.html" title="interface in import hk.quantr.mxgraph.canvas">mxICanvas</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphComponent.mxGraphControl.</span><code><span class="memberNameLink"><a href="../../swing/mxGraphComponent.mxGraphControl.html#cellDrawn(import hk.quantr.mxgraph.canvas.mxICanvas,import hk.quantr.mxgraph.view.mxCellState)">cellDrawn</a></span>&#8203;(<a href="../mxICanvas.html" title="interface in import hk.quantr.mxgraph.canvas">mxICanvas</a>&nbsp;canvas,
         <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphComponent.mxGraphControl.</span><code><span class="memberNameLink"><a href="../../swing/mxGraphComponent.mxGraphControl.html#drawCell(import hk.quantr.mxgraph.canvas.mxICanvas,java.lang.Object)">drawCell</a></span>&#8203;(<a href="../mxICanvas.html" title="interface in import hk.quantr.mxgraph.canvas">mxICanvas</a>&nbsp;canvas,
        java.lang.Object&nbsp;cell)</code></th>
<td class="colLast">
<div class="block">Draws the given cell onto the specified canvas.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="import hk.quantr.mxgraph.swing.view">
<!--   -->
</a>
<h3>Uses of <a href="../mxICanvas.html" title="interface in import hk.quantr.mxgraph.canvas">mxICanvas</a> in <a href="../../swing/view/package-summary.html">import hk.quantr.mxgraph.swing.view</a></h3>
<table class="useSummary">
<caption><span>Classes in <a href="../../swing/view/package-summary.html">import hk.quantr.mxgraph.swing.view</a> that implement <a href="../mxICanvas.html" title="interface in import hk.quantr.mxgraph.canvas">mxICanvas</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../swing/view/mxInteractiveCanvas.html" title="class in import hk.quantr.mxgraph.swing.view">mxInteractiveCanvas</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="import hk.quantr.mxgraph.util">
<!--   -->
</a>
<h3>Uses of <a href="../mxICanvas.html" title="interface in import hk.quantr.mxgraph.canvas">mxICanvas</a> in <a href="../../util/package-summary.html">import hk.quantr.mxgraph.util</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../../util/package-summary.html">import hk.quantr.mxgraph.util</a> that return <a href="../mxICanvas.html" title="interface in import hk.quantr.mxgraph.canvas">mxICanvas</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>abstract <a href="../mxICanvas.html" title="interface in import hk.quantr.mxgraph.canvas">mxICanvas</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCellRenderer.CanvasFactory.</span><code><span class="memberNameLink"><a href="../../util/mxCellRenderer.CanvasFactory.html#createCanvas(int,int)">createCanvas</a></span>&#8203;(int&nbsp;width,
            int&nbsp;height)</code></th>
<td class="colLast">
<div class="block">Separates the creation of the canvas from its initialization, when the
 size of the required graphics buffer / document / container is known.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../mxICanvas.html" title="interface in import hk.quantr.mxgraph.canvas">mxICanvas</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCellRenderer.</span><code><span class="memberNameLink"><a href="../../util/mxCellRenderer.html#drawCells(import hk.quantr.mxgraph.view.mxGraph,java.lang.Object%5B%5D,double,import hk.quantr.mxgraph.util.mxRectangle,import hk.quantr.mxgraph.util.mxCellRenderer.CanvasFactory)">drawCells</a></span>&#8203;(<a href="../../view/mxGraph.html" title="class in import hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph,
         java.lang.Object[]&nbsp;cells,
         double&nbsp;scale,
         <a href="../../util/mxRectangle.html" title="class in import hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;clip,
         <a href="../../util/mxCellRenderer.CanvasFactory.html" title="class in import hk.quantr.mxgraph.util">mxCellRenderer.CanvasFactory</a>&nbsp;factory)</code></th>
<td class="colLast">
<div class="block">Draws the given cells using a Graphics2D canvas and returns the buffered image
 that represents the cells.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="import hk.quantr.mxgraph.view">
<!--   -->
</a>
<h3>Uses of <a href="../mxICanvas.html" title="interface in import hk.quantr.mxgraph.canvas">mxICanvas</a> in <a href="../../view/package-summary.html">import hk.quantr.mxgraph.view</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../../view/package-summary.html">import hk.quantr.mxgraph.view</a> with parameters of type <a href="../mxICanvas.html" title="interface in import hk.quantr.mxgraph.canvas">mxICanvas</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraph.</span><code><span class="memberNameLink"><a href="../../view/mxGraph.html#cellDrawn(import hk.quantr.mxgraph.canvas.mxICanvas,import hk.quantr.mxgraph.view.mxCellState,java.lang.Object,java.lang.Object)">cellDrawn</a></span>&#8203;(<a href="../mxICanvas.html" title="interface in import hk.quantr.mxgraph.canvas">mxICanvas</a>&nbsp;canvas,
         <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
         java.lang.Object&nbsp;element,
         java.lang.Object&nbsp;labelElement)</code></th>
<td class="colLast">
<div class="block">Called when a cell has been painted as the specified object, typically a
 DOM node that represents the given cell graphically in a document.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraph.</span><code><span class="memberNameLink"><a href="../../view/mxGraph.html#drawCell(import hk.quantr.mxgraph.canvas.mxICanvas,java.lang.Object)">drawCell</a></span>&#8203;(<a href="../mxICanvas.html" title="interface in import hk.quantr.mxgraph.canvas">mxICanvas</a>&nbsp;canvas,
        java.lang.Object&nbsp;cell)</code></th>
<td class="colLast">
<div class="block">Draws the given cell and its descendants onto the specified canvas.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraph.</span><code><span class="memberNameLink"><a href="../../view/mxGraph.html#drawGraph(import hk.quantr.mxgraph.canvas.mxICanvas)">drawGraph</a></span>&#8203;(<a href="../mxICanvas.html" title="interface in import hk.quantr.mxgraph.canvas">mxICanvas</a>&nbsp;canvas)</code></th>
<td class="colLast">
<div class="block">Draws the graph onto the given canvas.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraph.</span><code><span class="memberNameLink"><a href="../../view/mxGraph.html#drawState(import hk.quantr.mxgraph.canvas.mxICanvas,import hk.quantr.mxgraph.view.mxCellState,boolean)">drawState</a></span>&#8203;(<a href="../mxICanvas.html" title="interface in import hk.quantr.mxgraph.canvas">mxICanvas</a>&nbsp;canvas,
         <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
         boolean&nbsp;drawLabel)</code></th>
<td class="colLast">
<div class="block">Draws the cell state with the given label onto the canvas.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../mxICanvas.html" title="interface in import hk.quantr.mxgraph.canvas">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
